<?php
if ( !defined('ABSPATH') )
	exit("Sorry, you are not allowed to access this page directly.");
if ( !isset($this) || !is_a($this, HackadelicEditArea) )
	exit("Invalid operation context.");

?>
<?php // ------------------------------------------------------------------------------------ ?>
<style type="text/css">
<?php
	$R = '3px';
	$sideWidth = '13em';
?>
a.button { display: inline-block; margin: 5px 0 }

dl { padding: 0; margin: 10px 1em 20px 0; background-color: white; border: 1px solid #ddd; }
dt { font-size: 10pt; font-weight: bold; margin: 0; padding: 4px 10px 4px 10px;
	background: #dfdfdf url(<?php echo admin_url('images/gray-grad.png') ?>) repeat-x left top;
<?php	/*
	background: #dfdfdf url(http://lh4.ggpht.com/_eYaV9fZ6qRg/SkFP0KzGcXI/AAAAAAAAALA/aQJlXvTd-IE/s800/bg-pane-header-gray.png) repeat-x left top;
	border-bottom: 1px solid #ddd;
*/ ?>
}
dd { margin: 0; padding: 10px 20px 10px 20px }
dl {<?php foreach (array('-moz-', '-khtml-', '-webkit-', '') as $pfx) echo " {$pfx}border-radius: $R;" ?> }

dd .caveat { font-weight: bold; color: #C00; text-align: center }

.box { border: 1px solid #ccc; padding: 5px; margin: 5px }
.help { background-color: whitesmoke }

.hint { font-style: italic }
.footnotes { border-top: 1px solid #ccc }

.doc p { line-height:2; }

</style>
<?php // ------------------------------------------------------------------------------------ ?>
<div class="wrap">
<div id="icon-options-general" class="icon32"><br /></div>
<h2>Hackadelic EditArea</h2>

<?php
$slugWP = $slugHome = 'editarea';
include 'common/xadm.php';

$helpicon = 'http://lh3.ggpht.com/_eYaV9fZ6qRg/SkFS5WKMVRI/AAAAAAAAALE/BH-09LuNRg8/s800/help.png';
?>
<?php // ------------------------------------------------------------------------------------ ?>
<?php if ($message) : ?>
<div class="updated fade"><p><?php echo $message ?>.</p></div>
<?php endif ?>

<?php // ------------------------------------------------------------------------------------ ?>
<?php if ($pause) : ?>
<p class="submit" align="center">
	<a class="button-primary" href="<?php echo $actionURL ?>">Back To Settings ...</a>
</p>

<?php // ------------------------------------------------------------------------------------ ?>
<?php else: // not $pause ?>
<?php // ------------------------------------------------------------------------------------ ?>
<?php
$f = $op['frontend'];
$b = $op['backend']; 
$b = ($b === true) ? '*' : (is_array($b) ? join(' ', $b) : '');
?>
<form method="post">
	<?php wp_nonce_field($context); ?>
	<dl>
		<dt>Where to enable EditArea <a href="javascript:;" onclick="jQuery('#help-box').slideToggle('fast')"><img src="<?php
			echo $helpicon ?>" /></a></dt>
		<dd>
			<div class="help box" id="help-box">
				<p>
				This plugin integrates EditArea,
				a powerful real-time syntax coloring code editor written in 100% pure JavaScript,
				with WordPress.
				</p>
				<p>
				Where enabled, it will automatically transform a <tt>&lt;textarea&gt;</tt> element
				annotated with <tt>class="editarea $language"</tt>
				(for example <tt>&lt;textarea class="editarea php"&gt;</tt> or <tt>&lt;textarea class="editarea css"&gt;</tt>)
				into an EditArea code editor. 
				</p>
				<p>
				Here you can control where EditArea is enabled.
				</p>
			</div>
			<script type="text/javascript">
			(function($){
				$('#help-box').hide();
			})(jQuery);
			</script>
			<table class="form-table" style="clear:none">
			<tr>
				<th>Enable in front-end on:</th>
				<td>
				<input type="checkbox" id="frontend-home" name="frontend-home" <?php checked($f['home']) ?> />
				<label for="frontend-home">Enable EditArea on front page</label><br />
				<?php
					$key = 'single'; $label = 'Posts'; $xterm = 'post'; $items = $f[$key];
					include 'template-setbox.inc.php';
					$key = 'page'; $label = 'Pages'; $xterm = 'page'; $items = $f[$key];
					include 'template-setbox.inc.php';
				?>
				</td>
			</tr>
			<tr>
				<th><label for="backend">Enable on dashboard pages:</label></th>
				<td>
				<input id="backend" name="backend" type="text" style="width:100%" value="<?php echo $b ?>" /><br />
				<div class="hint">
				Space-separated list of pages applicable for an
				<tt>admin_print_scripts-<b style="color:blue">$page</b>.php</tt> action.<sup><small>1)</small></sup><br />
				Use an asterisk ('*') to enable on all dashboard pages.<br />
				An empty value disables EditArea in the dashboard.<br />
				<div class="help box">
				<strong>This option is meant for developpers of dashboard plugins who want to
				provide rich, syntax-aware code editing experience effortlessly.</strong>
				If you don't have plugins that depend upon this feature,
				you may as well disable EditArea in the dashboard.
				</div>
				<br />
				<div class="footnotes">
				<sup><small>1)</small></sup>See <a
					href="http://codex.wordpress.org/Plugin_API/Action_Reference#Administrative_Actions"
					target="_blank"
					>WordPress Administrative Actions Reference</a> for details.
				</div>
				</div>
				</td>
			</tr>
			</table>
		</dd>
	</dl>

	<p class="submit" align="center">
		<input class="button-primary" type="submit" name="submit" value="Save Settings" title="This will store the settings to the database." />
		<input type="submit" name="submit" value="Reset Settings" title="This will remove the settings from the database, giving you the factory defaults"/>
	</p>

</form>

<?php // ------------------------------------------------------------------------------------ ?>
<?php endif ?>

</div>
